Page MenuHomePhabricator

when TOC is hidden, it should not print
Closed, ResolvedPublic

Description

Author: hemanshu_desai

Description:
when the TOC is hidden, it should not print. what happens now is a box with
"Contents" in it gets printed.


Version: unspecified
Severity: minor

Details

Commits
Unknown Object (Diffusion Commit)
Reference
bz482

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 7:08 PM
bzimport added a project: MediaWiki-Parser.
bzimport set Reference to bz482.
bzimport added a subscriber: Unknown Object (MLST).

Hidding is made through javascript so it probably can't be fixed :(

brion added a comment.Sep 22 2004, 7:20 AM

This should be possible with some style tweaking if we set the outer box's class to something which is
hidden in the print stylesheet but displays on screen.

(The remaining box shows on screen so you can click the 'show' button, but of course that's unnecessary in
print.)

wikipedia wrote:

Patch to fix this bug

This patch should be all that's needed to fix this bug. As suggested, it sets
the toc box's class to something that will be hidden in the print stylesheet.

Attached:

Thanks, Shane! Patch works correctly in Safari 1.2.4; gone ahead and checked it into 1.4.

wikipedia wrote:

Ah, thanks for testing in another browser, I should note that I tested with IE 6
and Firefox 1.0 on Windows XP.

Done in r56230.

Ireas added a comment.Oct 2 2009, 11:16 AM
  • Bug 16869 has been marked as a duplicate of this bug. ***

Reopened.

The toc gets not hidden in print when collapsed again.

Change 135692 had a related patch set uploaded by Gerrit Patch Uploader:
Hide toc caption on print when collapsed

https://gerrit.wikimedia.org/r/135692

Change 135692 merged by jenkins-bot:
Hide toc caption on print when collapsed

https://gerrit.wikimedia.org/r/135692

epriestley added a commit: Unknown Object (Diffusion Commit).Mar 4 2015, 8:19 AM